=== debian/changelog ===
domjudge (3.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 17 Apr 2013 19:52:31 +0200
