=== debian/control ===
Source: domjudge
Priority: extra
Section: misc
Maintainer: Thijs Kinkhorst <thijs@debian.org>
Build-Depends: libcurl4-gnutls-dev, libboost-regex-dev, libgmp3-dev,
 debhelper (>= 9), apache2-utils
Build-Depends-Indep: linuxdoc-tools, transfig,
 texlive-latex-recommended, texlive-latex-extra
Homepage: http://domjudge.sourceforge.net/
Standards-Version: 3.9.4
Vcs-Git: git://a-eskwadraat.nl/git/domjudge-packaging.git
Vcs-Browser: https://secure.a-eskwadraat.nl/gitweb?p=domjudge-packaging.git

Package: domjudge-common
Architecture: all
Depends: ${misc:Depends}
Recommends: beep
Description: common files for the DOMjudge programming contest jury system
 This package contains files common to the elements of the DOMjudge
 programming contest jury system, and is only necessary as a dependency
 of domjudge-domserver and domjudge-judgehost.

Package: domjudge-domserver
Architecture: all
Depends: domjudge-common (= ${source:Version}), apache2 | httpd,
 libapache2-mod-php5 | php5-cgi | php5, php5-mysql, php5-cli, xsltproc,
 dbconfig-common, mysql-client, apache2-utils, ${misc:Depends}
Recommends: ntp, mysql-server, phpmyadmin, php-geshi
Description: programming contest jury system (server)
 DOMjudge is a jury system for running a programming contest. It allows
 teams to submit solutions to problems, which will be compiled, ran and
 tested in a secured environment. For communications with teams, judges
 and the general public, a web interface is provided.
 .
 DOMjudge has been developed for and used in ICPC-style contests around
 the world.
 .
 This package contains the central server.

Package: domjudge-judgehost
Architecture: any
Depends: domjudge-common (= ${source:Version}), php5-cli, php5-mysql,
 xsltproc, procps, bash-static, adduser, lsb-base, dbconfig-common,
 mysql-client, ${shlibs:Depends}, ${misc:Depends}
Recommends: ntp, sudo, debootstrap, gcc, g++, openjdk-6-jre-headless
Suggests: ghc, fp-compiler
Description: programming contest jury system (judgehost)
 DOMjudge is a jury system for running a programming contest. It allows
 teams to submit solutions to problems, which will be compiled, ran and
 tested in a secured environment. For communications with teams, judges
 and the general public, a web interface is provided.
 .
 DOMjudge has been developed for and used in ICPC-style contests around
 the world.
 .
 This package contains the judgehost, which performs the building,
 running and testing of the submitted programs.

Package: domjudge-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: texlive-latex-recommended, texlive-latex-extra
Description: programming contest jury system (documentation)
 DOMjudge is a jury system for running a programming contest. It allows
 teams to submit solutions to problems, which will be compiled, ran and
 tested in a secured environment. For communications with teams, judges
 and the general public, a web interface is provided.
 .
 DOMjudge has been developed for and used in ICPC-style contests around
 the world.
 .
 This package contains the documentation for administrators, judges
 and teams.
