=== debian/changelog ===
domjudge (3.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 25 Jul 2013 21:20:39 +0200

domjudge (3.4.0~rc0-1) unstable; urgency=low

  * New upstream preview release.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 26 Jun 2013 18:30:34 +0200
