=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: misc
 Maintainer: Thijs Kinkhorst <thijs@debian.org>
 Build-Depends: libcurl4-gnutls-dev, libboost-regex-dev, libgmp3-dev,
- debhelper (>= 9), apache2-utils
+ debhelper (>= 9), apache2-utils, libcgroup-dev
 Build-Depends-Indep: linuxdoc-tools, transfig,
  texlive-latex-recommended, texlive-latex-extra
 Homepage: http://domjudge.sourceforge.net/
@@ -23,8 +23,8 @@
 Package: domjudge-domserver
 Architecture: all
 Depends: domjudge-common (= ${source:Version}), apache2 | httpd,
- libapache2-mod-php5 | php5-cgi | php5, php5-mysql, php5-cli, xsltproc,
- dbconfig-common, mysql-client, apache2-utils, ${misc:Depends}
+ libapache2-mod-php5 | php5-cgi | php5, php5-mysql, php5-cli, php5-json,
+ xsltproc, dbconfig-common, mysql-client, apache2-utils, ${misc:Depends}
 Recommends: ntp, mysql-server, phpmyadmin, php-geshi
 Description: programming contest jury system (server)
  DOMjudge is a jury system for running a programming contest. It allows
@@ -40,8 +40,8 @@
 Package: domjudge-judgehost
 Architecture: any
 Depends: domjudge-common (= ${source:Version}), php5-cli, php5-mysql,
- xsltproc, procps, bash-static, adduser, lsb-base, dbconfig-common,
- mysql-client, ${shlibs:Depends}, ${misc:Depends}
+ php5-json, xsltproc, procps, bash-static, adduser, lsb-base,
+ dbconfig-common, mysql-client, ${shlibs:Depends}, ${misc:Depends}
 Recommends: ntp, sudo, debootstrap, gcc, g++, openjdk-6-jre-headless
 Suggests: ghc, fp-compiler
 Description: programming contest jury system (judgehost)
