=== etc/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 SUBST_CONFIGS = apache.conf domserver-static.php domserver-static.h \
                 judgehost-static.php runguard-config.h submit-config.h \
-                sudoers-domjudge
+                sudoers-domjudge cgroup-domjudge.conf
 
 $(SUBST_CONFIGS): %: %.in $(TOPDIR)/paths.mk
 	$(substconfigvars)
