=== sql/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 install-domserver:
 	$(INSTALL_PROG) -t $(DESTDIR)$(domserver_bindir) dj-setup-database
 	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_sqldir) \
-		mysql_db_structure.sql mysql_db_examples.sql
+		mysql_db_structure.sql mysql_db_defaultdata.sql mysql_db_examples.sql
 	$(INSTALL_DATA) -t $(DESTDIR)$(domserver_sqldir)/upgrade \
 	 	upgrade/upgrade_*.sql upgrade/README
