## domjudge 3.4.4

=== debian/changelog ===
domjudge (3.4.4-1) unstable; urgency=medium

  * New upstream release. 

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 19 May 2014 08:26:59 +0200
