=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  debhelper (>= 9), apache2-utils, libcgroup-dev
 Build-Depends-Indep: linuxdoc-tools, transfig,
  texlive-latex-recommended, texlive-latex-extra
-Homepage: http://domjudge.sourceforge.net/
-Standards-Version: 3.9.4
-Vcs-Git: git://a-eskwadraat.nl/git/domjudge-packaging.git
-Vcs-Browser: https://secure.a-eskwadraat.nl/gitweb?p=domjudge-packaging.git
+Homepage: http://www.domjudge.org
+Standards-Version: 3.9.5
+Vcs-Git: https://github.com/DOMjudge/domjudge-packaging.git
+Vcs-Browser: http://www.domjudge.org/gitweb?p=domjudge-packaging.git
 
 Package: domjudge-common
 Architecture: all
@@ -25,7 +25,7 @@
 Depends: domjudge-common (= ${source:Version}), apache2 | httpd,
  libapache2-mod-php5 | php5-cgi | php5, php5-mysql, php5-cli, php5-json,
  xsltproc, dbconfig-common, mysql-client, apache2-utils, ${misc:Depends}
-Recommends: ntp, mysql-server, phpmyadmin, php-geshi
+Recommends: ntp, mysql-server | virtual-mysql-server, phpmyadmin, php-geshi
 Description: programming contest jury system (server)
  DOMjudge is a jury system for running a programming contest. It allows
  teams to submit solutions to problems, which will be compiled, ran and
