## domjudge cli-0.2.13

=== requirements.txt ===
typer~=0.15.2
PyYAML~=6.0.2
pydantic~=2.11.3
pydantic[email]~=2.11.3
p2d~=0.3.0
bcrypt~=4.3.0
webcolors~=24.11.1
requests~=2.32.3
Jinja2~=3.1.6
typeguard~=4.4.2
jmespath~=1.0.1
tqdm~=4.67.1
